Skip to main content
PATCH
/
v1
/
browser_profiles
/
{profile_id}
Update browser profile
curl --request PATCH \
  --url https://api.skyvern.com/v1/browser_profiles/{profile_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "browser_profile_id": "<string>",
  "organization_id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "source_browser_type": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

profile_id
string
required

The ID of the browser profile to update. browser_profile_id starts with bp_

Example:

"bp_123456"

Body

application/json
name
string | null

New name for the browser profile

Minimum string length: 1
description
string | null

New description for the browser profile

Response

Successfully updated browser profile

browser_profile_id
string
required
organization_id
string
required
name
string
required
created_at
string<date-time>
required
modified_at
string<date-time>
required
description
string | null
source_browser_type
string | null
deleted_at
string<date-time> | null